Bug 852309 - Restarting glusterd while replace-brick is going on make further operations fail
Restarting glusterd while replace-brick is going on make further operations fail
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
Sudhir D
:
Depends On: 798380
Blocks: 858477
  Show dependency treegraph
 
Reported: 2012-08-28 03:25 EDT by Vidya Sakar
Modified: 2015-11-03 18:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 798380
: 858477 (view as bug list)
Environment:
Last Closed: 2012-10-05 13:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-28 03:25:14 EDT
+++ This bug was initially created as a clone of Bug #798380 +++

Description of problem:


Version-Release number of selected component (if applicable):

Mainline
How reproducible:


Steps to Reproduce:
1.create a cluster of 2 peers and volume with 2 bricks and add some data 

2. Initiate replace-brick for any of the brick 

3. while replace brick is happening bring down glusterd

4. And again start glusterd
  
Actual results:
On the other node all gluster commands fails

Expected results:


Additional info:



[2012-02-28 12:59:41.463671] I [glusterd-rpc-ops.c:600:glusterd3_1_cluster_unlock_cbk] 0-glusterd: Received ACC from uuid: 93403b6c-b425-4673-80db-3b0ab52f5a58
[2012-02-28 12:59:41.463695] I [glusterd-op-sm.c:2107:glusterd_op_txn_complete] 0-glusterd: Cleared local lock
[2012-02-28 12:59:46.465681] I [glusterd-replace-brick.c:98:glusterd_handle_replace_brick] 0-glusterd: Received replace brick req
[2012-02-28 12:59:46.465725] I [glusterd-replace-brick.c:147:glusterd_handle_replace_brick] 0-glusterd: Received replace brick status request
[2012-02-28 12:59:46.465752] I [glusterd-utils.c:267:glusterd_lock] 0-glusterd: Cluster lock held by 64e925ad-3bbc-41d6-b47b-edcf85e9971d
[2012-02-28 12:59:46.465761] I [glusterd-handler.c:453:glusterd_op_txn_begin] 0-management: Acquired local lock
[2012-02-28 12:59:46.466179] I [glusterd-rpc-ops.c:541:glusterd3_1_cluster_lock_cbk] 0-glusterd: Received ACC from uuid: 93403b6c-b425-4673-80db-3b0ab52f5a58
[2012-02-28 12:59:46.466223] I [glusterd-utils.c:839:glusterd_volume_brickinfo_get_by_brick] 0-: brick: 10.1.11.141:/export/sdb/dist2
[2012-02-28 12:59:46.466239] I [glusterd-utils.c:796:glusterd_volume_brickinfo_get] 0-management: Found brick
[2012-02-28 12:59:46.466362] I [glusterd-op-sm.c:1725:glusterd_op_ac_send_stage_op] 0-glusterd: Sent op req to 1 peers
[2012-02-28 13:29:49.602377] E [rpc-clnt.c:217:call_bail] 0-management: bailing out frame type(glusterd mgmt) op(--(3)) xid = 0x6x sent = 2012-02-28 12:59:46.466360. timeout = 1800
[2012-02-28 13:29:49.602718] I [glusterd-rpc-ops.c:870:glusterd3_1_stage_op_cbk] 0-glusterd: Received RJT from uuid: 00000000-0000-0000-0000-000000000000
[2012-02-28 13:29:49.602740] I [glusterd-handler.c:406:glusterd_friend_find] 0-glusterd: Unable to find peer by uuid
[2012-02-28 13:29:49.602757] C [glusterd-rpc-ops.c:876:glusterd3_1_stage_op_cbk] 0-: Stage response received from unknown peer: 00000000-0000-0000-0000-000000000000
[2012-02-28 13:35:57.485170] I [glusterd-handler.c:855:glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
[2012-02-28 13:35:57.486236] I [glusterd-handler.c:855:glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
[2012-02-28 13:36:24.091096] I [glusterd-volume-ops.c:83:glusterd_handle_create_volume] 0-glusterd: Received create volume req
[2012-02-28 13:36:24.092868] E [glusterd-utils.c:259:glusterd_lock] 0-glusterd: Unable to get lock for uuid: 64e925ad-3bbc-41d6-b47b-edcf85e9971d, lock held by: 64e925ad-3bbc-41d6-b47b-edcf85e9971d
[2012-02-28 13:36:24.092895] E [glusterd-handler.c:448:glusterd_op_txn_begin] 0-management: Unable to acquire local lock, ret: -1
[2012-02-28 13:37:19.730423] I [glusterd-handler.c:808:glusterd_handle_cli_list_friends] 0-glusterd: Received cli list req
[2012-02-28 13:44:24.403633] I [glusterd-handler.c:855:glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
[2012-02-28 13:44:24.404028] I [glusterd-handler.c:855:glusterd_handle_cli_get_volume] 0-glusterd: Received get vol req
Comment 2 Amar Tumballi 2012-10-05 13:21:17 EDT
replace-brick functionality can be achieved by 'add-brick + remove-brick' today, so not planning to work on that.

Note You need to log in before you can comment on or make changes to this bug.